Bug 1779934 - [4.3.0] Install fails on Z due to timeout in cluster-samples-operator
Summary: [4.3.0] Install fails on Z due to timeout in cluster-samples-operator
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Samples
Version: 4.2.z
Hardware: s390x
OS: Linux
urgent
urgent
Target Milestone: ---
: 4.3.z
Assignee: Gabe Montero
QA Contact: Jeremy Poulin
URL:
Whiteboard:
Depends On: 1779933
Blocks: 1779935 1792103
TreeView+ depends on / blocked
 
Reported: 2019-12-05 03:04 UTC by Adam Kaplan
Modified: 2020-05-27 17:01 UTC (History)
9 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Cause: samples operator was failing to report its version when running on s390x or ppc64le Consequence: installs on those architectures would not complete successfully Fix: samples operator not reports version correctly on s390x and ppc64le Result: samples operator no longer prevents installs on s390x and ppc64le from completing
Clone Of: 1779933
: 1779935 (view as bug list)
Environment:
Last Closed: 2020-05-27 17:00:45 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github openshift cluster-samples-operator pull 208 0 'None' closed [release-4.3] Bug 1779934: set version to start for s390/ppc until we have actual samples 2020-06-12 22:24:21 UTC
Red Hat Product Errata RHBA-2020:2184 0 None None None 2020-05-27 17:01:19 UTC

Description Adam Kaplan 2019-12-05 03:04:32 UTC
+++ This bug was initially created as a clone of Bug #1779933 +++

On the latest commit on s390x, the cluster samples operator is reporting that it is available and finished progressing, however the openshift installer is not detecting that the operator has finished updating, and ends up timing out.

DEBUG Built from commit 6ed04f65b0f6a1e11f10afe658465ba8195ac459 
INFO Waiting up to 30m0s for the cluster at https://api.test.example.com:6443 to initialize... 
DEBUG Still waiting for the cluster to initialize: Cluster operator openshift-samples is still updating```

The offending commit is https://github.com/openshift/cluster-samples-operator/pull/187 which we do need overall but apparently isn't quite right.

--- Additional comment from Yaakov Selkowitz on 2019-12-05 02:59:29 UTC ---

David, please provide all needed info here.

Comment 1 Gabe Montero 2019-12-05 15:04:49 UTC
cherrypick has been requested off of 4.4 https://github.com/openshift/cluster-samples-operator/pull/205 for this release once that PR merges

Comment 3 Jeremy Poulin 2019-12-18 02:26:57 UTC
Can one of you guys let me know as soon as we can stand up a 4.3 cluster for Z. We'd like to verify this ASAP.

Comment 5 Wenjing Zheng 2020-01-08 06:38:36 UTC
Hi, since 4.3 is about to be released, so how is the verification status of this bug?

Comment 11 errata-xmlrpc 2020-05-27 17:00:45 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2020:2184


Note You need to log in before you can comment on or make changes to this bug.